local select, tonumber = select, tonumber

local L = {}
local init = false

local mount =
{
	{ 69841, 138424, 5 },	-- Amber Primordial Direhorn
	{ 19622, 40192, 2 },	-- Ashes of Al'ar
	{ 52530, 101542, 2 },	-- Flametalon of Alysrazor
	{ 10184, 69395, 1.4 },	-- Onyxian Drake
	{ 23863, 98204, 90 },	-- Amani Battle Bear (Zul'Aman time run)
	{ 52151, 96491, 1 },	-- Armored Razzashi Raptor
	{ 28860, 59650, 66 },	-- Black Drake
	--{ -, -, - },			-- Black Primal Raptor (Egg)
	{ 28859, 59568, 4 },	-- Blue Drake
	{ 26693, 59996, 1.5 },	-- Blue Proto-Drake
	--{ -, -, - },			-- Blue Qiraji Battle Tank
	{ 32273, 59569, 90 },	-- Bronze Drake
	--{ -, -, - },			-- Grand Black War Mammoth
	{ 23872, 49379, 4 },	-- Great Brewfest Kodo
	-- { 23863, 61294, 5 },	-- Green Proto-Drake (Egg)
	--{ -, -, - },			-- Green Qiraji Battle Tank
	{ 69842, 138426, 5 },	-- Jade Primordial Direhorn
	{ 52409, 97493, 1.5 },	-- Pureblood Fire Hawk
	{ 23035, 41252, 1.6	},	-- Raven Lord
	{ 69769, 138425, 5 },	-- Slate Primordial Direhorn
	{ 24664, 46628, 5 },	-- Swift White Hawkstrider
	{ 73167, 148476, 1 },	-- Thundering Onyx Cloud Serpent
	{ 32491, 60002, 100 },	-- Time-Lost Proto-Drake
	{ 28860, 59571, 66 },	-- Twilight Drake
	{ 43214, 88746, 0.8 },	-- Vitreous Stone Drake
	--{ -, -, - },			-- Yellow Qiraji Battle Tank
	--{ -, -, - },			-- Armored Razorback
	--{ -, -, - },			-- 
	{ 60410, 127170, 1.2 },	-- Astral Cloud Serpent
	{ 28859, 59567, 5 },	-- Azure Drake
	{ 36296, 71342, 0.03 },	-- Big Love Rocket
	{ 56173, 107842, 4 },	-- Blazing Drake
	{ 50990, 171620, 100 },	-- Bloodhoof Bull
	{ 69712, 139448, 1.8 },	-- Clutch of Ji-Kun
	{ 69161, 138423, 5 },	-- Cobalt Primordial Direhorn
	{ 43873, 88742, 0.8 },	-- Drake of the North Wind
	{ 46753, 88744, 0.9 },	-- Drake of the South Wind
	{ 55294, 110039, 1.1 },	-- Experiment 12-B
	{ 91331, 182912, "?" },	-- Felsteel Annihilator
	{ 16152, 36702, 0.9 },	-- Fiery Warhorse
	{ 81001, 171851, 100 },	-- Garn Nighthowl
	{ 50992, 171636, 100 },	-- Great Greytusk
	{ 50245, 88750, 100 },	-- Grey Riding Camel
	{ 23682, 48025, 0.5 },	-- Headless Horseman's Mount
	{ 60491, 127158, 4 },	-- Heavenly Onyx Cloud Serpent
	{ 36597, 72286, 1.5 },	-- Invincible
	{ 77325, 171621, 100 },	-- Ironhoof Destroyer
	{ 71865, 148417, 7 },	-- Kor'kron Juggernaut
	{ 56173, 107845, 2 },	-- Life-Binder's Handmaiden
	{ 33288, 63796, 0.9 },	-- Mimiron's Head
	{ 50981, 171622, 100 },	-- Mottled Meadowstomper
	{ 50062, 88718, 100 },	-- Phosphorescent Stone Drake
	{ 45412, 17481, 0.7 },	-- Rivendare's Deathcharger
	{ 51015, 171824, 100 },	-- Sapphire Riverbeast
	{ 87493, 171828, "?" },	-- Solar Spirehawk
	{ 62346, 130965, 1.4 },	-- Son of Galleon
	{ 68476, 136471, 1.7 },	-- Spawn of Horridon
	{ 50005, 98718, 100 },	-- Subdued Seahorse
	{ 50985, 171849, 100 },	-- Sunhide Gronnling
	{ 50883, 171830, 100 },	-- Swift Breezestrider 
	{ 52059, 96499, 0.9 },	-- Swift Zulian Panther
	{ 69099, 139442, 1.8 },	-- Thundering Cobalt Cloud Serpent
	{ 64403, 132036, 100 },	-- Thundering Ruby Cloud Serpent
	--{ -, -, - },			-- Tundra Icehoof
	--{ -, -, - },			-- Warsong Direfang
	----------------------------------------------------
	--{ 78487, 182912, "?" },	-- Test Mob 
}
-- Deathwing 56173

local mountInfo = {}

local color =
{
	["yellow1"] = "|cffe6cc80",
	["yellow2"] = "|cffffd200",
	["red"] = "|cffff0000" 
}

local function headline()
	GameTooltip:AddLine(color["yellow2"].."\n".."Drop:",1,1,1)
end

function updateLocale(loc)
	for k, v in pairs(loc) do
		if v == true then
			L[k] = k
		else
			L[k] = v
		end
	end
	
end


local function addItem(m)

	if not init then 
		mountIndex = C_MountJournal.GetNumMounts()
		for i=1, mountIndex do
			mountInfo[i] = {}
			mountInfo[i][1], mountInfo[i][2], _, _, _, _, _, _, _, _, mountInfo[i][3] = C_MountJournal.GetMountInfo(i)
		end
	end
	
	mountAv = -1
	cm = 1
	for k, v in pairs(mountInfo) do
		if v[2] == m[2] then 
			cm = k
		end 
	end

	if mountInfo[cm][3] then
		GameTooltip:AddDoubleLine("|cff71d5ff".."["..mountInfo[cm][1].."]",color["yellow1"].."("..m[3].."%)")
	else
		GameTooltip:AddDoubleLine("|cff71d5ff".."["..mountInfo[cm][1].."] "..color["red"].." ("..L["missing"]..")",color["yellow1"].."("..m[3].."%)")
	end
	GameTooltip:Show()
end

local f = CreateFrame("frame")
f:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
f:SetScript("OnEvent", function()
    if GameTooltip:IsVisible() and not UnitIsPlayer("mouseover") and not C_PetBattles.IsInBattle() then
		local _, _, _, _, _, id, _ = strsplit("-", UnitGUID("mouseover") or "")
		id = tonumber(id)
		for k, v in pairs(mount) do
			if v[1] == id then 
				headline()
				addItem(v)
			end
		end
	end
end)




